cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/shipping_packages/sp_2b3c4d5e6f708192a3b4c5d6e7f8091a" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.shipping_packages.get_settings_shipping_package(
"sp_2b3c4d5e6f708192a3b4c5d6e7f8091a"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.shippingPackages.getSettingsShippingPackage('sp_2b3c4d5e6f708192a3b4c5d6e7f8091a');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->shippingPackages->getSettingsShippingPackage(
'sp_2b3c4d5e6f708192a3b4c5d6e7f8091a',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.shipping_packages.shipping_packages_dto.ShippingPackagesDto.SettingsShippingPackage;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsShippingPackage> response = client.shippingPackages().getSettingsShippingPackage(
"sp_2b3c4d5e6f708192a3b4c5d6e7f8091a");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ShippingPackages.GetSettingsShippingPackageAsync("sp_2b3c4d5e6f708192a3b4c5d6e7f8091a");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.shippingPackages.getSettingsShippingPackage(
'sp_2b3c4d5e6f708192a3b4c5d6e7f8091a',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ShippingPackages().GetSettingsShippingPackage(context.Background(), "sp_2b3c4d5e6f708192a3b4c5d6e7f8091a", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"shipping_package": {
"created_by": "<unknown>",
"created_on": "<string>",
"cubic": "<unknown>",
"cubic_uom": "<unknown>",
"description": "<string>",
"display_name": "<string>",
"height": 123,
"height_uom": "<unknown>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"length": 123,
"length_uom": "<unknown>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"weight": 123,
"weight_uom": "<unknown>",
"width": 123,
"width_uom": "<unknown>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Shipping packages
Retrieve a shipping package
Returns one shipping package by its id.
GET
/
settings
/
shipping_packages
/
{shipping_package_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/shipping_packages/sp_2b3c4d5e6f708192a3b4c5d6e7f8091a" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.shipping_packages.get_settings_shipping_package(
"sp_2b3c4d5e6f708192a3b4c5d6e7f8091a"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.shippingPackages.getSettingsShippingPackage('sp_2b3c4d5e6f708192a3b4c5d6e7f8091a');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->shippingPackages->getSettingsShippingPackage(
'sp_2b3c4d5e6f708192a3b4c5d6e7f8091a',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.shipping_packages.shipping_packages_dto.ShippingPackagesDto.SettingsShippingPackage;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsShippingPackage> response = client.shippingPackages().getSettingsShippingPackage(
"sp_2b3c4d5e6f708192a3b4c5d6e7f8091a");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ShippingPackages.GetSettingsShippingPackageAsync("sp_2b3c4d5e6f708192a3b4c5d6e7f8091a");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.shippingPackages.getSettingsShippingPackage(
'sp_2b3c4d5e6f708192a3b4c5d6e7f8091a',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ShippingPackages().GetSettingsShippingPackage(context.Background(), "sp_2b3c4d5e6f708192a3b4c5d6e7f8091a", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"shipping_package": {
"created_by": "<unknown>",
"created_on": "<string>",
"cubic": "<unknown>",
"cubic_uom": "<unknown>",
"description": "<string>",
"display_name": "<string>",
"height": 123,
"height_uom": "<unknown>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"length": 123,
"length_uom": "<unknown>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"weight": 123,
"weight_uom": "<unknown>",
"width": 123,
"width_uom": "<unknown>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Returns the package under
shipping_package, with its name, dimensions, weight and units.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The shipping package's id, from the listing.
Response
The shipping package, under shipping_package.
Show child attributes
Show child attributes